Bug 1670392 (CVE-2018-8795) - CVE-2018-8795 rdesktop: Remote code execution in process_bitmap_data
Summary: CVE-2018-8795 rdesktop: Remote code execution in process_bitmap_data
Status: CLOSED WONTFIX
Alias: CVE-2018-8795
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20190104,repor...
Keywords: Security
Depends On: 1670427
Blocks: 1667054
TreeView+ depends on / blocked
 
Reported: 2019-01-29 13:30 UTC by Pedro Sampaio
Modified: 2019-06-08 23:49 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-02-18 06:35:18 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2019-01-29 13:30:07 UTC
A flaw was found in rdesktop before 1.8.4. An issue in process_bitmap_data function may lead to remote code execution. 

Upstream patch:

https://github.com/rdesktop/rdesktop/commit/766ebcf6f23ccfe8323ac10242ae6e127d4505d2
https://github.com/rdesktop/rdesktop/releases/tag/v1.8.4

Comment 1 Pedro Sampaio 2019-01-29 14:02:56 UTC
Created rdesktop tracking bugs for this issue:

Affects: fedora-all [bug 1670427]

Comment 2 Huzaifa S. Sidhpurwala 2019-02-18 06:35:18 UTC
Note:

You need to connect to a malicious or a MITM RDP server in order to trigger this flaw. The malicious RDP server can cause a controlled buffer overflow on the client, which may result in code execution. However since the flaw can only be triggered by a specially crafted RDP server, this is rated as having moderate security impact.


Note You need to log in before you can comment on or make changes to this bug.